<?php

namespace GriffinForms\Admin\Secure;

class Submission extends \GriffinForms\Admin\Secure\Format
{
    protected function secureFormId($value)
    {
        return $this->secureId($value);
    }

    protected function secureStatus($value)
    {
        return $this->secureToggle($value);
    }

    protected function securePublicToken($value)
    {
        return sanitize_text_field($value);
    }

    protected function secureSubmission($value)
    {
        return is_array($value) ? $value : maybe_unserialize($value);
    }

    protected function secureAuthor($value)
    {
        return $this->secureId($value);
    }

    protected function secureCreated($value)
    {
        return sanitize_text_field($value);
    }

    protected function secureLastEditor($value)
    {
        return $this->secureId($value);
    }

    protected function secureLastEdited($value)
    {
        return sanitize_text_field($value);
    }
}
